#*************************************************************
# Progamm:			absorption
# Sinn des Programms: 		Berechnung der Absorption in der ISA-Atmosphäre
# Sinn der Einheit  :		Einlesen des Gitters aus der Gitterdatei	
# Name dieser Datei:		gitter.py
# Versionsnummer:		1
# Wird aufgerufen von:		absorption_1d_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	3
# von:				6			
# Autor: 			Armin Ulrich
# Erster Lauf: 			21.04.2019
# Letzte Änderung: 		23.04.2019
#*************************************************************

#*************************************************************
# Importieren der Klassen für Dateifunktionen
#*************************************************************
import os

class Gitter:

  def __init__(self):		
    print("Gitterobjekt erzeugt")


  #Destruktormethode
  def __del__(self):	
    print("Gitterobjekt entfernt")          


  def gitter_input(self,gitter_datei):
    print("Einlesen des Gitters")
    
    if os.path.exists(gitter_datei):
      print("Datei ist vorhanden")
      fobj_in = open(gitter_datei,"r") 
      zeile=fobj_in.readline()
      länge = len(zeile)
      self.puffer = zeile[0:länge-1]
      print(self.puffer)
      zeile=fobj_in.readline()
      länge = len(zeile)
      self.puffer = zeile[0:länge-1]
      self.i_max=int(self.puffer)
      print("i_max=",self.i_max)
      self.x = list(range(self.i_max))
      self.delta_x = list(range(self.i_max-1))
      for i in range(self.i_max):
        zeile=fobj_in.readline()
        länge = len(zeile)
        self.puffer = zeile[0:länge-1]
        dummy   = self.puffer.split("\t")
        self.x[i]=float(dummy[1])
        
      for i in range(self.i_max-1):
        zeile=fobj_in.readline()
        länge = len(zeile)
        self.puffer = zeile[0:länge-1]
        dummy   = self.puffer.split("\t")
        self.delta_x[i]=float(dummy[1])
        
    else:
      print("Datei ist NICHT vorhanden")
    fobj_in.close()
